TenantControllerQueryNumberOfTenants Method |
POST /Tenant/Count/
Gets the number of tenants that match the filter.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Count")]
public IActionResult QueryNumberOfTenants(
[FromBodyAttribute] GetTenantsOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("Count")>
Public Function QueryNumberOfTenants (
<FromBodyAttribute> options As GetTenantsOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Count")]
IActionResult^ QueryNumberOfTenants(
[FromBodyAttribute] GetTenantsOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Count")>]
member QueryNumberOfTenants :
[<FromBodyAttribute>] options : GetTenantsOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsGetTenantsOptions
An object that carries all needed information about the tenants that need to be retrieved. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResultAn
Int32 containing the number of tenants that match the criteria, or a status code indicating the problem.
See Also